/**
 * Created by CSL on 2017-09-28.
 */
let mongoose = require('mongoose');
let Schema = mongoose.Schema;

let coeSchema = new Schema({
    ID: Number,
    ParentID: Number,
    name: String,
    coe: String,
    _id: false
},{versionKey:false});

let projectLabourCoes = new Schema({
    ID: String,
    projectID: Number,
    name: String,
    libID: Number,
    libName: String,
    coes: [coeSchema]//,
   // _id: false
},{versionKey:false});

mongoose.model('labour_coes', projectLabourCoes, 'labour_coes');